/** The Cascading Style Sheet for HTML. **/

/*+ The cxref CSS file as a string. +*/
char *html_cxref_style=
"/*------------------------------------------------*/\n"
"/*                                                */\n"
"/* Cxref Version 1.6 - Style Sheet                */\n"
"/*                                                */\n"
"/* Using CSS2 - (Cascading Style Sheets, level 2) */\n"
"/*                                                */\n"
"/*------------------------------------------------*/\n"
"\n"
"\n"
"/*-------------------------*/\n"
"/* Generic HTML formatting */\n"
"/*-------------------------*/\n"
"\n"
"\n"
"\n"
"/*--------------------------------*/\n"
"/* Cxref specific HTML formatting */\n"
"/*--------------------------------*/\n"
"\n"
"/* File definitions */\n"
"\n"
"SPAN.cxref-file-comment\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"/* Include files */\n"
"\n"
"SPAN.cxref-include-comment\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"UL.cxref-include\n"
"{\n"
" padding: 0;\n"
" margin:  0;\n"
" margin-left: 2em;\n"
"}\n"
"\n"
"/* Local include files */\n"
"\n"
"LI.cxref-include-local\n"
"{\n"
" list-style-type: none;\n"
" list-style-position: inside;\n"
"}\n"
"\n"
"SPAN.cxref-include-local\n"
"{\n"
" font-family: monospace;\n"
" font-style:  normal;\n"
"}\n"
"\n"
"/* System include files */\n"
"\n"
"LI.cxref-include-system\n"
"{\n"
" list-style-type: none;\n"
" list-style-position: inside;\n"
"}\n"
"\n"
"SPAN.cxref-include-system\n"
"{\n"
" font-family: monospace;\n"
" font-style:  italic;\n"
"}\n"
"\n"
"/* Pre-processor definitions */\n"
"\n"
"SPAN.cxref-define-comment\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"SPAN.cxref-define\n"
"{\n"
" font-family: monospace;\n"
" font-style:  normal;\n"
"}\n"
"\n"
"/* Type definitions */\n"
"\n"
"SPAN.cxref-type-comment\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"SPAN.cxref-type\n"
"{\n"
" font-family: monospace;\n"
" font-style:  normal;\n"
"}\n"
"\n"
"/* Variable definitions */\n"
"\n"
"SPAN.cxref-variable-comment\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"SPAN.cxref-variable\n"
"{\n"
" font-family: monospace;\n"
" font-style:  normal;\n"
"}\n"
"\n"
"/* Function definitions */\n"
"\n"
"SPAN.cxref-function-comment\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"SPAN.cxref-function\n"
"{\n"
" font-family: monospace;\n"
" font-style:  normal;\n"
"}\n"
"\n"
"/* References */\n"
"\n"
"SPAN.cxref-reference-local\n"
"{\n"
" font-style:  normal;\n"
"}\n"
"\n"
"SPAN.cxref-reference-system\n"
"{\n"
" font-style:  italic;\n"
"}\n"
;
