/** The style files needed for LaTeX. **/

/*+ The fonts style file as a string. +*/
char *latex_fonts_style=
"%\n"
"% fonts.sty - A modified version of 10pt.sty from the standard LaTeX 2.0.9 distribution.\n"
"%             Original author / copyright unknown.\n"
"%\n"
"% Fonts for cxref, smaller than usual to get more on a page (cxref *is* rather verbose).\n"
"%\n"
"\n"
"\\typeout{Fonts Style-sheet -- By A. M. Bishop. (smaller than default)}\n"
"\n"
"\\lineskip 1pt \\normallineskip 1pt\n"
"\\def\\baselinestretch{1}\n"
"\n"
"\\def\\@normalsize{\\@setsize\\normalsize{10pt}\\xpt\\@xpt\n"
"\\abovedisplayskip 10pt plus2pt minus5pt\\belowdisplayskip \\abovedisplayskip\n"
"\\abovedisplayshortskip \\z@ plus3pt\\belowdisplayshortskip 6pt plus3pt\n"
"minus3pt\\let\\@listi\\@listI} \n"
"\\def\\small{\\@setsize\\small{9pt}\\ixpt\\@ixpt\n"
"\\abovedisplayskip 8.5pt plus 3pt minus 4pt\\belowdisplayskip \\abovedisplayskip\n"
"\\abovedisplayshortskip \\z@ plus2pt\\belowdisplayshortskip 4pt plus2pt minus 2pt\n"
"\\def\\@listi{\\leftmargin\\leftmargini \\topsep 4pt plus 2pt minus 2pt\\parsep 2pt\n"
"plus 1pt minus 1pt\n"
"\\itemsep \\parsep}}\n"
"\\def\\footnotesize{\\@setsize\\footnotesize{8pt}\\viiipt\\@viiipt\n"
"\\abovedisplayskip 6pt plus 2pt minus 4pt\\belowdisplayskip \\abovedisplayskip\n"
"\\abovedisplayshortskip \\z@ plus 1pt\\belowdisplayshortskip 3pt plus 1pt minus\n"
"2pt\n"
"\\def\\@listi{\\leftmargin\\leftmargini \\topsep 3pt plus 1pt minus 1pt\\parsep 2pt\n"
"plus 1pt minus 1pt\n"
"\\itemsep \\parsep}}\n"
"\\def\\scriptsize{\\@setsize\\scriptsize{6pt}\\viipt\\@viipt}\n"
"\\def\\tiny{\\@setsize\\tiny{5pt}\\vpt\\@vpt}\n"
"\\def\\large{\\@setsize\\large{12pt}\\xiipt\\@xiipt}\n"
"\\def\\Large{\\@setsize\\Large{14pt}\\xivpt\\@xivpt}\n"
"\\def\\LARGE{\\@setsize\\LARGE{17pt}\\xviipt\\@xviipt}\n"
"\\def\\huge{\\@setsize\\huge{20pt}\\xxpt\\@xxpt}\n"
"\\def\\Huge{\\@setsize\\Huge{25pt}\\xxvpt\\@xxvpt}\n"
"\\normalsize \n"
"\n"
"\\if@twoside \\oddsidemargin 44pt \\evensidemargin 82pt \\marginparwidth 107pt\n"
"\\else \\oddsidemargin 63pt \\evensidemargin 63pt\n"
" \\marginparwidth 90pt \n"
"\\fi\n"
"\\marginparsep 11pt \n"
" \\topmargin 27pt \\headheight 12pt \\headsep 25pt \\footskip 30pt \n"
"\n"
"\\textheight = 43\\baselineskip\n"
"\\advance\\textheight by \\topskip\n"
"\\textwidth 345pt \\columnsep 10pt \\columnseprule 0pt \n"
"\n"
"\\footnotesep 6.65pt \n"
"\\skip\\footins 9pt plus 4pt minus 2pt \n"
"\\floatsep 12pt plus 2pt minus 2pt \\textfloatsep 20pt plus 2pt minus 4pt\n"
"\\intextsep 12pt plus 2pt minus 2pt \\dblfloatsep 12pt plus 2pt\n"
"minus 2pt \\dbltextfloatsep 20pt plus 2pt minus 4pt\n"
"\\@fptop 0pt plus 1fil \\@fpsep 8pt plus 2fil \\@fpbot 0pt plus 1fil \n"
"\\@dblfptop 0pt plus 1fil \\@dblfpsep 8pt plus 2fil \\@dblfpbot 0pt plus 1fil\n"
"\\marginparpush 5pt \n"
"\n"
"\\parskip 0pt plus 1pt \\parindent 15pt \\partopsep 2pt plus 1pt minus 1pt \n"
"\\@lowpenalty 51 \\@medpenalty 151 \\@highpenalty 301 \n"
"\\@beginparpenalty -\\@lowpenalty \\@endparpenalty -\\@lowpenalty \\@itempenalty\n"
"-\\@lowpenalty \n"
"\n"
"\n"
"\\def\\part{\\par \\addvspace{4ex} \\@afterindentfalse \\secdef\\@part\\@spart} \n"
"\\def\\@part[#1]#2{\\ifnum \\c@secnumdepth >\\m@ne \\refstepcounter{part}\n"
"\\addcontentsline{toc}{part}{\\thepart \\hspace{1em}#1}\\else\n"
"\\addcontentsline{toc}{part}{#1}\\fi { \\parindent 0pt \\raggedright \n"
" \\ifnum \\c@secnumdepth >\\m@ne \\Large \\bf Part \\thepart \\par \\nobreak \\fi \\huge\n"
"\\bf #2\\markboth{}{}\\par } \\nobreak \\vskip 3ex \\@afterheading } \n"
"\\def\\@spart#1{{\\parindent 0pt \\raggedright \n"
" \\huge \\bf \n"
" #1\\par} \\nobreak \\vskip 3ex \\@afterheading } \n"
"\\def\\section{\\@startsection {section}{1}{\\z@}{-3.5ex plus -1ex minus \n"
" -.2ex}{2.3ex plus .2ex}{\\Large\\bf}}\n"
"\\def\\subsection{\\@startsection{subsection}{2}{\\z@}{-3.25ex plus -1ex minus \n"
" -.2ex}{1.5ex plus .2ex}{\\large\\bf}}\n"
"\\def\\subsubsection{\\@startsection{subsubsection}{3}{\\z@}{-3.25ex plus \n"
"-1ex minus -.2ex}{1.5ex plus .2ex}{\\normalsize\\bf}}\n"
"\\def\\paragraph{\\@startsection\n"
" {paragraph}{4}{\\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\\normalsize\\bf}}\n"
"\\def\\subparagraph{\\@startsection\n"
" {subparagraph}{4}{\\parindent}{3.25ex plus 1ex minus \n"
" .2ex}{-1em}{\\normalsize\\bf}}\n"
"\n"
"\n"
"\\setcounter{secnumdepth}{3}\n"
"\n"
"\\def\\appendix{\\par\n"
" \\setcounter{section}{0}\n"
" \\setcounter{subsection}{0}\n"
" \\def\\thesection{\\Alph{section}}}\n"
"\n"
"\n"
"\\leftmargini 25pt\n"
"\\leftmarginii 22pt \\leftmarginiii 18.7pt \\leftmarginiv 17pt \\leftmarginv 10pt\n"
"\\leftmarginvi 10pt\n"
"\\leftmargin\\leftmargini\n"
"\\labelsep 5pt\n"
"\\labelwidth\\leftmargini\\advance\\labelwidth-\\labelsep\n"
"\\def\\@listI{\\leftmargin\\leftmargini \\parsep 4pt plus 2pt minus 1pt\\topsep 8pt\n"
"plus 2pt minus 4pt\\itemsep 4pt plus 2pt minus 1pt}\n"
"\\let\\@listi\\@listI\n"
"\\@listi \n"
"\\def\\@listii{\\leftmargin\\leftmarginii\n"
" \\labelwidth\\leftmarginii\\advance\\labelwidth-\\labelsep\n"
" \\topsep 4pt plus 2pt minus 1pt\n"
" \\parsep 2pt plus 1pt minus 1pt\n"
" \\itemsep \\parsep}\n"
"\\def\\@listiii{\\leftmargin\\leftmarginiii\n"
" \\labelwidth\\leftmarginiii\\advance\\labelwidth-\\labelsep\n"
" \\topsep 2pt plus 1pt minus 1pt \n"
" \\parsep \\z@ \\partopsep 1pt plus 0pt minus 1pt\n"
" \\itemsep \\topsep}\n"
"\\def\\@listiv{\\leftmargin\\leftmarginiv\n"
" \\labelwidth\\leftmarginiv\\advance\\labelwidth-\\labelsep}\n"
"\\def\\@listv{\\leftmargin\\leftmarginv\n"
" \\labelwidth\\leftmarginv\\advance\\labelwidth-\\labelsep}\n"
"\\def\\@listvi{\\leftmargin\\leftmarginvi\n"
" \\labelwidth\\leftmarginvi\\advance\\labelwidth-\\labelsep}\n"
"\n"
"\n"
;

/*+ The page style file as a string. +*/
char *latex_page_style=
"%\n"
"% page.sty - Copyright 1995,1996 Andrew M. Bishop\n"
"%\n"
"% Page layout for cxref, smaller margins than usual to get more on a page (cxref *is* rather verbose).\n"
"%\n"
"\n"
"\\typeout{Page Style-sheet (A4) -- By A. M. Bishop. (1 inch margins)}\n"
"\n"
"%\n"
"% Physical paper size.\n"
"%\n"
"\n"
"\\vsize=11.7 in          % Page height (A4)\n"
"\\hsize=8.25 in          % Page width (A4)\n"
"\n"
"%\n"
"% Margins etc. Vertically\n"
"%\n"
"\n"
"\\topmargin=-0.5in       % Between (top of page + 1 inch) & top of header\n"
"\n"
"\\headheight=0.25in      % Height of the header\n"
"\n"
"\\headsep=0.25in         % Between header and text\n"
"\n"
"\\textheight=9.7in       % Height of text (A4)\n"
"\n"
"\\footskip=0.25in        % Between bottom of text and bottom of footer\n"
"\n"
"%\n"
"% Margins etc. Horizontally\n"
"%\n"
"\n"
"\\oddsidemargin=0.0in    % Between (left side of page + 1 inch) & left edge of text\n"
"\\evensidemargin=0.0in   % Between (left side of page + 1 inch) & left edge of text\n"
"\n"
"\\textwidth=6.25in       % Width of text (A4)\n"
;

/*+ The cxref style file as a string. +*/
char *latex_cxref_style=
"%\n"
"% cxref.sty - Copyright 1996 Andrew M. Bishop\n"
"%\n"
"% New commands that are defined to use in typesetting cxref.\n"
"%\n"
"\n"
"\\typeout{Cxref Style-sheet -- By A. M. Bishop. (Custom commands)}\n"
"\n"
"% Stop LaTeX from printing all of the annoying error messages about under/over-full boxes.\n"
"\n"
"\\tolerance=10000\n"
"\\hbadness=10000\n"
"\\emergencystretch=100pt\n"
"\n"
"% Set the section number depth to 3.\n"
"\n"
"\\setcounter{secnumdepth}{3}\n"
"\n"
"% Set the table of contents number depth to 3.\n"
"\n"
"\\setcounter{tocdepth}{3}\n"
"\n"
"% Set the parindent and table column separator to zero.\n"
"\n"
"\\setlength{\\parindent}{0in}\n"
"\\setlength{\\tabcolsep}{0in}\n"
"\n"
"% Define a command to display the 'computer format' text, a small teletype font.\n"
"\n"
"\\newcommand{\\stt}{\\small\\tt}\n"
"\n"
"% The command argument list and items to use in it.\n"
"\n"
"\\newenvironment{cxrefarglist}{\\begin{list}{}{\\leftmargin=2.25in \\labelsep=0in \\labelwidth=2.25in \\itemsep=0pt \\parsep=3pt \\topsep=3pt}}{\\end{list}}\n"
"\\newcommand{\\cxrefargitem}[1]{\\item[\\parbox{2.25in}{$\\cdot$\\hspace*{0.1in}{\\stt #1}}]}\n"
"\n"
"% A table with one wide column and a cross reference (Include files).\n"
"\n"
"\\newenvironment{cxreftabi}{\\begin{tabular}{{p{5.0in}l}}}{\\end{tabular}}\n"
"\n"
"% A table with a narrow column, a wide column and a cross reference (Included in).\n"
"\n"
"\\newenvironment{cxreftabii}{\\begin{tabular}{{p{0.75in}p{4.25in}l}}}{\\end{tabular}}\n"
"\n"
"% A table with two approximately equal columns (2nd is wider) and a cross reference (Struct / Union).\n"
"\n"
"\\newenvironment{cxreftabiia}{\\begin{tabular}{{p{2.5in}p{3.5in}}}}{\\end{tabular}}\n"
"\n"
"% A table with two exactly equal columns and a cross reference (Appendix).\n"
"\n"
"\\newenvironment{cxreftabiib}{\\begin{tabular}{{p{2.5in}p{2.5in}l}}}{\\end{tabular}}\n"
"\n"
"% A table with a narrow column, two approximately equal columns and a cross reference (Used in, Calls, Called etc.).\n"
"\n"
"\\newenvironment{cxreftabiii}{\\begin{tabular}{{p{0.75in}p{2.25in}p{2.0in}l}}}{\\end{tabular}}\n"
"\\newcommand{\\cxreftabiiispan}[1]{\\multicolumn{2}{p{4.25in}}{#1}}\n"
"\n"
"% Break the above tables by stopping the current table and starting a new one.\n"
"\n"
"\\newcommand{\\cxreftabbreak}[1]{\\end{#1}\\vskip 0pt\\begin{#1}}\n"
"\n"
"% Cross references for Files, Functions, Variables and Typedefs.\n"
"\n"
"\\newcommand{\\cxreffile}[1]{{\\small\\it (Section \\ref{file_#1})\\/}}\n"
"\\newcommand{\\cxreffunc}[2]{{\\small\\it (Section \\ref{func_#1_#2})\\/}}\n"
"\\newcommand{\\cxrefvar}[2]{{\\small\\it (Section \\ref{var_#1_#2})\\/}}\n"
"\\newcommand{\\cxreftype}[2]{{\\small\\it (Section \\ref{type_#1_#2})\\/}}\n"
;
